tigase.jaxmpp.core.client.xmpp.modules.registration

## Class InBandRegistrationModule.ReceivedErrorHandler.ReceivedErrorEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<InBandRegistrationModule.ReceivedErrorHandler>
    - - tigase.jaxmpp.core.client.xmpp.modules.registration.InBandRegistrationModule.ReceivedErrorHandler.ReceivedErrorEvent

- Enclosing interface:
    InBandRegistrationModule.ReceivedErrorHandler

      public static class InBandRegistrationModule.ReceivedErrorHandler.ReceivedErrorEvent
      extends JaxmppEvent<InBandRegistrationModule.ReceivedErrorHandler>

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReceivedErrorEvent(SessionObject sessionObject, IQ responseStanza, XMPPException.ErrorCondition error)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(InBandRegistrationModule.ReceivedErrorHandler handler)` Invokes handlers method.
    `XMPPException.ErrorCondition` | `getErrorCondition()`
    `IQ` | `getResponseStanza()`
    `void` | `setErrorCondition(XMPPException.ErrorCondition errorCondition)`
    `void` | `setResponseStanza(IQ responseStanza)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReceivedErrorEvent

          public ReceivedErrorEvent(SessionObject sessionObject,
                                    IQ responseStanza,
                                    XMPPException.ErrorCondition error)

  - ### Method Detail

    - #### dispatch

          public void dispatch(InBandRegistrationModule.ReceivedErrorHandler handler)
                        throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<InBandRegistrationModule.ReceivedErrorHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getErrorCondition

          public XMPPException.ErrorCondition getErrorCondition()

    - #### setErrorCondition

          public void setErrorCondition(XMPPException.ErrorCondition errorCondition)

    - #### getResponseStanza

          public IQ getResponseStanza()

    - #### setResponseStanza

          public void setResponseStanza(IQ responseStanza)

Copyright © 2006–2019 Tigase. All rights reserved.